%define module	Apache-DBI
%define version	0.92
%define release	2mdk

Name:		perl-%{module}
Version:	%{version}
Release:	%{release}
Summary:	Initiate a persistent database connection
License:	GPL or Artistic
Group:		Development/Perl
Source0:	%{module}-%{version}.tar.bz2
Url:		http://www.cpan.org
BuildRoot:	%{_tmppath}/%{name}-buildroot/
BuildRequires:	perl-devel
BuildRequires:	perl-DBD-mysql
BuildArch:	noarch

%description
This module initiates a persistent database connection.

%prep
%setup -q -n %{module}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make OPTIMIZE="$RPM_OPT_FLAGS"
%make test

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

%clean 
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README Changes
%{perl_vendorlib}/Apache
%{_mandir}/*/*

%changelog
* Wed Feb 25 2004 Guillaume Rousse <guillomovitch@mandrake.org> 0.92-2mdk
- fixed dir ownership (distlint)

* Mon Dec 08 2003 Guillaume Rousse <guillomovitch@mandrake.org> 0.92-1mdk
- first mdk release 
